com.h3c.sdn.api

## Interface RegionTransferService

-     public interface RegionTransferService

  Service for propagating the operations on region to other controllers in the team.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createRegion(String request)` Creates a new region on other controllers in the team.
    `void` | `deleteRegion(String regionId)` Removes a given region from the other controllers in the team.
    `List<Region>` | `getRegions(SystemInformation system)` Get all regions from given controller.
    `void` | `refreshRoles(String regionId, String request)` refresh roles for some or all devices in a region
    `void` | `updateRegion(String regionId, String request)` Updates an existing region on other controllers in the team.

- - ### Method Detail

    - #### getRegions

          List<Region> getRegions(SystemInformation system)
                                  throws Exception

      Get all regions from given controller.
      Parameters:
        `system` - controller to get the regions from.
      Returns:
        collection of regions.
      Throws:
        `Exception` - if errors occur while executing the operation.

    - #### createRegion

          void createRegion(String request)

      Creates a new region on other controllers in the team.
      Parameters:
        `request` - String which abstracts the participants of the region

    - #### updateRegion

          void updateRegion(String regionId,
                          String request)

      Updates an existing region on other controllers in the team.
      Parameters:
        `regionId` - the Id of the region to be updated
        `request` - the region abstraction containing new attributes

    - #### deleteRegion

          void deleteRegion(String regionId)

      Removes a given region from the other controllers in the team.
      Parameters:
        `regionId` - the Id of the region to be deleted

    - #### refreshRoles

          void refreshRoles(String regionId,
                          String request)

      refresh roles for some or all devices in a region
      Parameters:
        `regionId` - the Id of the region to be refreshed
        `request` - String which abstracts the participants of the region

Copyright © 2014. All Rights Reserved.